Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class LanguageSetImpl

    java.lang.Object
      org.jasig.portal.container.om.common.LanguageSetImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.common.LanguageSet, org.apache.pluto.om.Model

    public class LanguageSetImpl

extends java.lang.Object
implements org.apache.pluto.om.common.LanguageSet, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.3 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private java.lang.ClassLoader` | `classLoader`
`private boolean` | `hasResourceBundle`
`private java.lang.String` | `keywords`
`private java.util.Map` | `languages`
`private static org.apache.commons.logging.Log` | `log`
`private boolean` | `resourceBundleInitialized`
`private java.lang.String` | `resources`
`private java.lang.String` | `shortTitle`
`private java.lang.String` | `title`

Constructor Summary
`LanguageSetImpl(java.lang.String title, java.lang.String shortTitle, java.lang.String keywords, java.lang.String resources)`

Method Summary
`private void` | `addLanguage(java.util.Locale locale)`
`void` | `addLocale(java.util.Locale locale)`
`private org.apache.pluto.om.common.Language` | `createLanguage(java.util.Locale locale, java.util.ResourceBundle bundle)`
`org.apache.pluto.om.common.Language` | `get(java.util.Locale locale)`
`java.util.Locale` | `getDefaultLocale()`
`java.util.Iterator` | `getLocales()`
`private void` | `initResourceBundle()`
`java.util.Iterator` | `iterator()`
`private java.util.ResourceBundle` | `loadResourceBundle(java.util.Locale locale)`
`void` | `setClassLoader(java.lang.ClassLoader classLoader)`
`void` | `setResources(java.lang.String resourceBundleBase)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### title

    private java.lang.String title

### shortTitle

    private java.lang.String shortTitle

### keywords

    private java.lang.String keywords

### resources

    private java.lang.String resources

### classLoader

    private java.lang.ClassLoader classLoader

### languages

    private java.util.Map languages

### resourceBundleInitialized

    private boolean resourceBundleInitialized

### hasResourceBundle

    private boolean hasResourceBundle

### log

    private static final org.apache.commons.logging.Log log

Constructor Detail

### LanguageSetImpl

    public LanguageSetImpl(java.lang.String title,
                           java.lang.String shortTitle,
                           java.lang.String keywords,
                           java.lang.String resources)

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `org.apache.pluto.om.common.LanguageSet`

### getLocales

    public java.util.Iterator getLocales()

  Specified by:
    `getLocales` in interface `org.apache.pluto.om.common.LanguageSet`

### get

    public org.apache.pluto.om.common.Language get(java.util.Locale locale)

  Specified by:
    `get` in interface `org.apache.pluto.om.common.LanguageSet`

### getDefaultLocale

    public java.util.Locale getDefaultLocale()

  Specified by:
    `getDefaultLocale` in interface `org.apache.pluto.om.common.LanguageSet`

### setResources

    public void setResources(java.lang.String resourceBundleBase)

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

### addLocale

    public void addLocale(java.util.Locale locale)

### addLanguage

    private void addLanguage(java.util.Locale locale)

### createLanguage

    private org.apache.pluto.om.common.Language createLanguage(java.util.Locale locale,
                                                               java.util.ResourceBundle bundle)

### loadResourceBundle

    private java.util.ResourceBundle loadResourceBundle(java.util.Locale locale)

### initResourceBundle

    private void initResourceBundle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD